%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-manila
Version:        12.5.0
Release:        4%{?dist}
Summary:        Puppet module for OpenStack Manila
License:        ASL 2.0

URL:            https://launchpad.net/puppet-manila

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.5.0
Patch0001: 0001-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0002: 0002-Updating-nova-and-neutron-configuration.patch
Patch0003: 0003-Support-cephfs_volume_mode-parameter.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-glance
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Manila

%prep
%setup -q -n openstack-manila-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/manila/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/manila/



%files
%{_datadir}/openstack-puppet/modules/manila/


%changelog
* Wed Mar 27 2019 Steve Linabery <slinaber@redhat.com> 12.5.0-4
- Support cephfs_volume_mode parameter

* Fri Jan 25 2019 Victoria Martinez de la Cruz <vimartin@redhat.com> 12.5.0-3
- Updating nova and neutron configuration (rhbz#1648114)

* Mon Nov 26 2018 Steve Linabery <slinaber@redhat.com> 12.5.0-2
- Add 'openstack-db' tag to db-sync Exec resource

* Tue Oct 16 2018 Jon Schlueter <jschluet@redhat.com> 12.5.0-1
- Update to 12.5.0 (rhbz#1639683)

* Wed Jul 25 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-2
- Update DellEMC Manila Unity driver
- Update DellEMC Manila VNX driver
- Update to 12.4.0 (rhbz#1608527)

* Wed Feb 21 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



